Name:          msg-simple
Version:       1.1
Release:       1%{?dist}
Summary:       A lightweight, capable alternative to Java's ResourceBundle
License:       ASL 2.0 and LGPLv3+
URL:           https://github.com/fge/msg-simple
Source0:       https://github.com/fge/msg-simple/archive/%{version}.tar.gz
Source1:       http://repo1.maven.org/maven2/com/github/fge/%{name}/%{version}/%{name}-%{version}.pom

BuildRequires: maven-local
BuildRequires: mvn(com.github.fge:btf)
BuildRequires: mvn(com.google.code.findbugs:jsr305)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.mockito:mockito-core)
BuildRequires: mvn(org.testng:testng)

BuildArch:     noarch

%description
This is a lightweight, extensible message bundle API which
you can use as a replacement to Java's ResourceBundle. It
is also able to load legacy ResourceBundles.

Among features that this library offers which
ResourceBundle doesn't are:

° UTF-8 support,
° printf()-like format for messages (in addition to the
  antique MessageFormat),
° built-in assertions,
° error resistant.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
find -name "*.class" -delete
find -name "*.jar" -print -delete

cp -p %{SOURCE1} pom.xml
%pom_xpath_inject "pom:project" "<packaging>bundle</packaging>"
%pom_add_plugin org.apache.felix:maven-bundle-plugin . '
<extensions>true</extensions>
<configuration>
  <instructions>
    <Bundle-SymbolicName>com.github.fge.msg-simple</Bundle-SymbolicName>
    <Bundle-Name>msg-simple</Bundle-Name>
    <Bundle-Version>${project.version}</Bundle-Version>
    <Export-Package>com.github.fge.msgsimple;version="${project.version}"</Export-Package>
  </instructions>
</configuration>
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>'

%mvn_file :%{name} %{name}

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc README.md RELEASE-NOTES.md
%license ASL-2.0.txt LGPL-3.0.txt LICENSE

%files javadoc -f .mfiles-javadoc
%license ASL-2.0.txt LGPL-3.0.txt LICENSE

%changelog
* Mon Mar 09 2015 gil cattaneo <puntogil@libero.it> 1.1-1
- initial rpm

